Page MenuHomePhabricator

Navigation between chapters managed by ProofreadPage broken by Parsoid
Closed, ResolvedPublic

Description

The navigation system created between chapters by the <pages> tag managed by ProofreadPage is broken when Parsoid is used.

For example with [1] the previous chapter should be "Champollion étudiant" and the next "Champollion à Rome" as it is displayed in [2].

A possible cause is maybe that the page title returned by Parser::getTitle() is not the title of the rendered page (see [3])

[1] https://rest.wikimedia.org/fr.wikisource.org/v1/page/html/Champollion_inconnu%2FChampollion_poète
[2] https://fr.wikisource.org/wiki/Champollion_inconnu/Champollion_poète
[3] http://git.wikimedia.org/blob/mediawiki%2Fextensions%2FProofreadPage.git/master/includes%2FParser%2FPagesTagParser.php#L256

Event Timeline

Tpt created this task.Mar 22 2016, 5:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2016, 5:44 PM
Arlolra claimed this task.Apr 13 2016, 12:17 AM
Arlolra triaged this task as Medium priority.

Change 283113 had a related patch set uploaded (by Arlolra):
T130645: Fix passing title to php parse requests when batching

https://gerrit.wikimedia.org/r/283113

Change 283113 merged by jenkins-bot:
T130645: Pass the right title to PHPParseRequest

https://gerrit.wikimedia.org/r/283113

Arlolra closed this task as Resolved.Apr 14 2016, 6:15 PM
Arlolra removed a project: Patch-For-Review.
GOIII moved this task from Backlog to Done on the ProofreadPage board.Jun 12 2016, 4:03 AM